<template>
  <rui-help-button>
    <div class="_container">
      <h2 class="-h5">{{ $t('js.crop_rotations.help.header') }}</h2>
      <p>{{ $t('js.crop_rotations.help.introduction') }}</p>
      <p>{{ $t('js.crop_rotations.help.explanation_1') }}</p>
      <p>{{ $t('js.crop_rotations.help.explanation_2') }}</p>
      <p>{{ $t('js.crop_rotations.help.explanation_3') }}</p>
      <p>{{ $t('js.crop_rotations.help.explanation_4') }}</p>
      <div class="-text--center">
        <gpa-crop-rotation-schema />
      </div>
      <template v-if="nextRotationGroups">
        <p>{{ $t('js.crop_rotations.help.proposition') }}</p>
        <gpa-crop-rotation-group-tags :groups-with-counts="nextRotationGroups" />
      </template>
    </div>
  </rui-help-button>
</template>

<script>
import RuiHelpButton from '@experiments-labs/rise_ui/src/components/HelpButton/HelpButton.vue'

import GpaCropRotationSchema from './Schema.vue'
import GpaCropRotationGroupTags from './GroupTags.vue'

/**
 * Button to display help about crop rotation.
 *
 * @preset default {}
 * @preset with_rotation_groups { "props": { "nextRotationGroups": { "leaf": 40, "manure": 60 } } }
 */
export default {
  name: 'CropRotationsHelpButton',
  components: { RuiHelpButton, GpaCropRotationGroupTags, GpaCropRotationSchema },
  props: {
    /** Optional list of crop rotation groups with percentage, to display as additional help */
    nextRotationGroups: { required: false, type: Object, default: null },
  },
}
</script>
